All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
matrix_element.hpp File Reference

OpenCL kernel file for element-wise matrix operations. More...

`#include "viennacl/tools/tools.hpp"`
`#include "viennacl/ocl/kernel.hpp"`
`#include "viennacl/ocl/platform.hpp"`
`#include "viennacl/ocl/utils.hpp"`
`#include "viennacl/linalg/opencl/kernels/matrix.hpp"`

Go to the source code of this file.

## Classes

struct | viennacl::linalg::opencl::kernels::matrix_element< NumericT, F >
| Main kernel class for generating OpenCL kernels for elementwise-operations such as element_sin() on/with dense matrix objects of type viennacl::matrix<>. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.
| viennacl::linalg::opencl
| Holds all routines providing OpenCL linear algebra operations.
| viennacl::linalg::opencl::kernels
| Contains the OpenCL kernel generation functions for a predefined set of functionality.

## Functions

template<typename StringType >
void | viennacl::linalg::opencl::kernels::generate_matrix_unary_element_ops (StringType &source, std::string const &numeric_string, std::string const &funcname, std::string const &op, std::string const &op_name, bool is_row_major)
template<typename StringType >
void | viennacl::linalg::opencl::kernels::generate_matrix_unary_element_ops (StringType &source, std::string const &numeric_string, std::string const &funcname, bool is_row_major)

## Detailed Description

OpenCL kernel file for element-wise matrix operations.

Definition in file matrix_element.hpp.